Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » classes and source for BIRT runtime 4.3.2 does not match
classes and source for BIRT runtime 4.3.2 does not match [message #1328168] Fri, 02 May 2014 10:51 Go to next message
Harald Windisch is currently offline Harald Windisch
Messages: 4
Registered: February 2013
Junior Member
Hello,

I am updateing older code to birt 4.3.2. Now I have a problem with the creaton of the birt engine. The call to Platform.createFactoryObject(..) returns null. To find a solution I downloaded the birt sources for debugging.

Now the problem is, the runtime and the sources does not match, at least for the class Platform. This makes it nearly impossible to get the right results.

I am using Eclipse Keppler.
I downloaded the source from this page:
http://download.eclipse.org/birt/downloads/build.php?build=R-R1-4_3_2-201402251404
For the sources I downloaded, birt-source-4_3_2.zip. For my deployment I used the jars from birt-runtime-4_3_2.zip from the same page.

What should I do now? Maybe install a snapshot? Load the whole birt project?

Harald
Re: classes and source for BIRT runtime 4.3.2 does not match [message #1371911 is a reply to message #1328168] Wed, 21 May 2014 11:43 Go to previous messageGo to next message
Kristopher Clark is currently offline Kristopher Clark
Messages: 130
Registered: January 2013
Senior Member
Harald Windisch wrote:
> Hello,
>
> I am updateing older code to birt 4.3.2. Now I have a problem with the
> creaton of the birt engine. The call to Platform.createFactoryObject(..)
> returns null. To find a solution I downloaded the birt sources for
> debugging.
>
> Now the problem is, the runtime and the sources does not match, at least
> for the class Platform. This makes it nearly impossible to get the right
> results.
> I am using Eclipse Keppler. I downloaded the source from this page:
> http://download.eclipse.org/birt/downloads/build.php?build=R-R1-4_3_2-201402251404
>
> For the sources I downloaded, birt-source-4_3_2.zip. For my deployment I
> used the jars from birt-runtime-4_3_2.zip from the same page.
>
> What should I do now? Maybe install a snapshot? Load the whole birt
> project?
>
> Harald
>

Sorry for the late reply Harald, did you find a solution to this? I
haven't used the engine in 4.3.2 yet so I'll have to set something up on
my end to see if I get the same thing as you.
Re: classes and source for BIRT runtime 4.3.2 does not match [message #1383951 is a reply to message #1371911] Tue, 27 May 2014 07:45 Go to previous message
Harald Windisch is currently offline Harald Windisch
Messages: 4
Registered: February 2013
Junior Member
I still have this issue.

My application have a servlet inside of a tomcat server. The servlet waits for a request of my appliction to render a report and reply a pdf file.

Now I have to update may servlet to a new BIRT version. But I get null when I try to create the ReportEngineFactory.

Platform.startup( config );
IReportEngineFactory factory = (IReportEngineFactory) Platform.createFactoryObject( IReportEngineFactory.EXTENSION_REPORT_ENGINE_FACTORY );
birtEngine = factory.createReportEngine( config );


The result of createFactoryObject is allways null. I cannot debug into the birt code because the source does not match the classes. I don't know how to make the next step to get this running.

Maybe someone can give me a hint what is wrong with my code? Maybe there is another solution to get a BirtEngine? Maybe someone knows how to get the right source jars to debug into the birt sources? Maybe I have a chance with an other version (4.3.2 - 4.2.0)?

Harald

[Updated on: Tue, 27 May 2014 07:49]

Report message to a moderator

Previous Topic:Overlap report items in BIRT ?
Next Topic:PersistentGlobalVariable in javascript switch block
Goto Forum:
  


Current Time: Wed Jul 30 07:09:40 EDT 2014

Powered by FUDForum. Page generated in 0.01963 seconds